package com.supwisdom.dlpay.framework.util;

public class TradeErrorCode {

  public static final int OK = 0;

  /**
   * 10000 开始表示交易数据错误
   */
  public static final int INPUT_DATA_ERROR = 100000;
  /**
   * 账户余额不足
   */
  public static final int SHORT_BALANCE_ERROR = 100001;

  /**
   * 个人账户状态异常
   */
  public static final int PERSON_STATUS_ERROR = 100002;

  /**
   * 交易记录不存在
   */
  public static final int TRANSACTION_NOT_EXISTS = 100003;

  /**
   * 交易状态已完成
   */
  public static final int TRANSACTION_IS_FINISHED = 100004;

  /**
   * 交易已冲正
   */
  public static final int TRANSACTION_HAS_CANCELED = 100005;
}
