package com.supwisdom.dlpay.consume.service.impl

import com.supwisdom.dlpay.consume.PersonBalancePayBuilder
import com.supwisdom.dlpay.consume.domain.TPaydtl
import com.supwisdom.dlpay.consume.service.PersonBalancePayService
import com.supwisdom.dlpay.exception.TransactionDataError
import com.supwisdom.dlpay.framework.dao.PaydtlDao
import com.supwisdom.dlpay.framework.util.TradeErrorCode
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

@Service
class PersonBalancePayServiceImpl : PersonBalancePayService {
    @Autowired
    lateinit var paydtlDao: PaydtlDao

    override fun init(builder: PersonBalancePayBuilder): TPaydtl {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun wip(paydtl: TPaydtl, builder: PersonBalancePayBuilder): TPaydtl {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun wip(refno: String, builder: PersonBalancePayBuilder): TPaydtl {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun finish(paydtl: TPaydtl, status: String, builder: PersonBalancePayBuilder): TPaydtl {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun finish(refno: String, status: String, builder: PersonBalancePayBuilder): TPaydtl {
        paydtlDao.findById(refno).let {
            if (it.isPresent) {
                return finish(it.get(), status, builder)
            }
            throw TransactionDataError(TradeErrorCode.TRANSACTION_NOT_EXISTS, "交易参考号<$refno>不存在")
        }
    }

    override fun process(builder: PersonBalancePayBuilder): TPaydtl {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }
}